package com.takensoft.cms.bbs.service;

import com.takensoft.cms.bbs.vo.BbsTypeMngVO;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author  : 박정하
 * @since   : 2024.05.08
 *
 * 게시판 유형 관리 관련 인터페이스
 */
public interface BbsTypeMngService {
    /**
     * @author  박정하
     * @since   2024.05.08
     * 게시판 유형 관리 등록
     */
    public HashMap<String, Object> insertBbsTypeMng(BbsTypeMngVO bbsTypeMngVO) throws Exception;

    /**
     * @author  하석형
     * @since   2024.05.13
     * 게시판 유형 관리 목록 조회
     */
    public Map<String, Object> findAllBbsTypeMng(BbsTypeMngVO bbsTypeMngVO) throws Exception;

    /**
     * @author  하석형
     * @since   2024.05.13
     * 게시판 유형 관리 상세 조회
     */
    public BbsTypeMngVO findByBbsTypeId(String bbsTypeId) throws Exception;
}
