package com.takensoft.cms.mber.vo;

import lombok.*;

/**
 * @author  : takensoft
 * @since   : 2024.04.01
 *
 * 로그인 이력 정보 관련 VO
 */
@Getter
@Setter
@ToString
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class LgnHstryVO {

    /**
     * 로그인 아이디
     */
    private String lgnId;
    /**
     * 로그인 유형
     */
    private String lgnType;
    /**
     * 접속일
     */
    private String cntnDt;
    /**
     * 접속 아이피
     */
    private String cntnIp;
    /**
     * 접속 운영체제
     */
    private String cntnOperSys;
    /**
     * 디바이스명
     */
    private String deviceNm;
    /**
     * 브라우저명
     */
    private String brwsrNm;
}
