package com.takensoft.cms.menu.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * @author  : takensoft
 * @since   : 2024.04.09
 *
 * 메뉴별 권한 정보 관련 VO
 */
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class MenuAuthorVO {
    /**
     * 권한코드
     */
    private String authrtCd;
    /**
     * 메뉴 아이디
     */
    private String menuId;
    /**
     * 읽기 권한
     * Y: 여, N: 부
     */
    private String inqAuthrt;
    /**
     * 쓰기 권한
     * Y: 여, N: 부
     */
    private String regAuthrt;
    /**
     * 수정 권한
     * Y: 여, N: 부
     */
    private String mdfcnAuthrt;
    /**
     * 삭제 권한
     * Y: 여, N: 부
     */
    private String delAuthrt;
    /**
     * 파일다운로드 권한
     * Y: 여, N: 부
     */
    private String fileDwnldAuthrt;
    /**
     * 등록자
     */
    private String rgtr;
    /**
     * 등록일
     */
    private String regDt;
    /**
     * 수정자
     */
    private String mdfr;
    /**
     * 수정일
     */
    private String mdfcnDt;
}
