package com.takensoft.cms.menu.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * @author  : takensoft
 * @since   : 2024.04.08
 *
 * 메뉴 만족도 정보 관련 VO
 */
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class MenuStsfdgVO {
    /**
     * 메뉴별 만족도 아이디
     */
    private String menuDgstfnId;
    /**
     * 메뉴 아이디
     */
    private String menuId;
    /**
     * 응답 5
     * N: 미체크, Y: 체크
     */
    private String rspnsFive;
    /**
     * 응답 4
     * N: 미체크, Y: 체크
     */
    private String rspnsFour;
    /**
     * 응답 3
     * N: 미체크, Y: 체크
     */
    private String rspnsThree;
    /**
     * 응답 2
     * N: 미체크, Y: 체크
     */
    private String rspnsTwo;
    /**
     * 응답 1
     * N: 미체크, Y: 체크
     */
    private String rspnsOne;
    /**
     * 의견
     */
    private String opnn;
    /**
     * 등록 아이피
     */
    private String regIp;
    /**
     * 등록자
     */
    private String rgtr;
    /**
     * 등록일
     */
    private String regDt;
}
