package com.takensoft.cms.search.vo;

import lombok.Getter;
import lombok.Setter;

/**
 * @author  : 하석형
 * @since   : 2024.06.12
 *
 * 통합 검색 내용 관련 VO
 */
@Getter
@Setter
public class SearchContentVO {
    /**
     * 제목
     */
    private String title;
    /**
     * 내용
     */
    private String content;
    /**
     * 작성일
     */
    private String regDt;
    /**
     * 페이지 아이디
     */
    private String pageId;
    /**
     * (미사용)url
     */
    private String url;
    /**
     * (미사용)첨부파일 ID
     */
    private String fileMngId;
}
