package com.takensoft.common.file.dao;

import com.takensoft.common.file.vo.FileMngVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;
import org.springframework.web.multipart.MultipartFile;

import java.util.*;

/**
 * @author  : 박정하
 * @since   : 2024.03.26
 *
 * 파일매니저 관련 Mapper
 */
@Mapper("fileMngDAO")
public interface FileMngDAO {
    /**
     * @author 박정하
     * @since 2024.03.26
     *
     * 파일매니저 등록
     */
    public int fileMngInsert(FileMngVO fileMngVO) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.27
     *
     * 파일매니저 수정
     */
    public int fileMngUpadate(FileMngVO fileMngVO) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.27
     *
     * 파일매니저 삭제
     */
    public int fileMngDelete(HashMap<String, Object> params) throws Exception;
}