package com.takensoft.common.util;

import lombok.Data;
import org.springframework.http.HttpStatus;

/**
 * @author takensoft
 * @since 2024.04.03
 * 응답 데이터
 */
@Data
public class ResponseData {

    private HttpStatus status;
    private String message;
    private Object data;

    public ResponseData() {
        this.status = HttpStatus.BAD_REQUEST;
        this.data = null;
        this.message = null;
    }
}
