package com.takensoft.portal.entInfo.dao;

import com.takensoft.portal.entInfo.vo.BplcVO;
import com.takensoft.portal.entInfo.vo.EntInfoVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

/**
 * @author  : 박정하
 * @since   : 2024.06.10
 *
 * 기업주요사업장 관련 Mapper
 */
@Mapper("bplcDAO")
public interface BplcDAO {
    /**
     * @author 박정하
     * @since 2024.06.10
     *
     * 기업주요사업장 등록
     */
    public int bplcInsert(BplcVO bplcVO) throws Exception;

    /**
     * @author 박정하
     * @since 2024.06.10
     *
     * 기업주요사업장 수정
     */
    public int bplcUpdate(BplcVO bplcVO) throws Exception;

    /**
     * @author 박정하
     * @since 2024.06.10
     *
     * 기업주요사업장 삭제 (기업정보 삭제용)
     */
    public int bplcUpdateByEntInfoId(EntInfoVO entInfoVO) throws Exception;
}