package com.takensoft.portal.entInfo.service;

import com.takensoft.portal.entInfo.vo.BplcVO;

import java.util.*;

/**
 * @author  : 박정하
 * @since   : 2024.06.10
 *
 * 기업주요사업장 관련 인터페이스
 */
public interface BplcService {
    /**
     * @author 박정하
     * @since 2024.06.10
     *
     * 기업주요사업장 등록
     */
    public int bplcListInsert(List<BplcVO> bplcList) throws Exception;

    /**
     * @author 박정하
     * @since 2024.06.10
     *
     * 기업주요사업장 수정
     */
    public int bplcListUpdate(List<BplcVO> bplcList) throws Exception;

    /**
     * @author 박정하
     * @since 2024.06.10
     *
     * 기업주요사업장 삭제
     */
    public int bplcListDelete(List<BplcVO> bplcList) throws Exception;

    /**
     * @author 박정하
     * @since 2024.06.10
     *
     * 기업주요사업장 삭제 (기업정보 삭제용)
     */
    public int bplcDeleteByEntInfoId(String entMttrId) throws Exception;
}