package com.takensoft.portal.ivstDscsn.vo;

import com.takensoft.common.file.vo.FileVO;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import java.util.*;

/**
 * @author  : 박정하
 * @since   : 2024.03.26
 *
 * 투자상담 관련 VO
 */
@Data
public class IvstDscsnVO {
    // 투자상담 아이디
    private String ivstDscsnId;
    // 기업 아이디
    private String entId;
    // 제목
    private String ttl;
    // 일시
    private String dt;
    // 장소
    private String plc;
    // 참석자
    private String prtpnt;
    // 상담공무원
    private String dscsnPbofc;
    // 주요내용
    private String mainCn;
    // 파일관리아이디
    private String fileMngId;
    // 입주의향
    private String mvnInten = "0";
    // MOU의향
    private String mouInten = "0";
    // 사용여부
    private String useYn;
    // 등록자
    private String rgtr;
    // 등록일
    private String regDt;
    // 수정자
    private String mdfr;
    // 수정일
    private String mdfcnDt;
    // 상담요지
    private String dscsnOtln = "";

    // 첨부파일 목록
    List<HashMap<String, Object>> fileList = new ArrayList<>();
    // 첨부파일 등록 목록
    List<MultipartFile> insertFileList = new ArrayList<>();
    // 첨부파일 삭제 목록
    List<HashMap<String, Object>> deleteFileList = new ArrayList<>();

    // 기업명
    private String entNm;
}