package com.takensoft.portal.statistics.service;

import java.util.*;

/**
 * @author  : 박정하
 * @since   : 2024.06.13
 *
 * 통계 관련 인터페이스
 */
public interface StatisticsService {
    /**
     * @author  : 박정하
     * @since   : 2024.06.13
     *
     * 분류별 통계 조회
     */
    public List<HashMap<String, Object>> categoryStatistics(HashMap<String, String> params) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.06.13
     *
     * 검토사항 통계 조회
     */
    public Map<String, Object> rvwMttrStatistics(HashMap<String, String> params) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.06.14
     *
     * 상담신청 통계 조회
     */
    public List<HashMap<String, Object>> consultationStatistics(HashMap<String, String> params) throws Exception;
}