package com.takensoft.ums.dao;

import com.takensoft.ums.vo.UmsVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.HashMap;
import java.util.List;

/**
 * @author  : 방선주
 * @since   : 2024.06.25
 *
 * 문자서비스 Mapper
 */
@Mapper
public interface UmsDAO {
    /**
     * 문자 메시지 목록 조회
     */
    public int save(UmsVO umsVO) throws Exception;

    public List<UmsVO> findAll() throws Exception;
}

