package com.takensoft.cms.accesCtrl.vo;

import com.takensoft.common.Pagination;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.HashMap;

/**
 * @author  : takensoft
 * @since   : 2024.04.01
 *
 * 접근 제어 관련 VO
 */
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class AccesCtrlVO {
    /**
     * 접근 제어 아이디
     */
    private int acsCntrlId;
    /**
     * 제어 유형
     * 공통코드 값 등록 - permit: 허용, limit: 제한
     */
    private String cntrlType;

    /**
     * 제어 유형명
     */
    private String cntrlTypeNm;

    /**
     * 제어 아이피
     */
    private String cntrlIp;
    /**
     * 제어 경로
     */
    private String cntrlCrs;
    /**
     * 사용여부
     */
    private String useYn;
    /**
     * 등록자
     */
    private String rgtr;
    /**
     * 등록일
     */
    private String regDt;
    /**
     * 수정자
     */
    private String mdfr;
    /**
     * 수정일
     */
    private String mdfcnDt;
}
