package com.takensoft.cms.bbs.dao;

import com.takensoft.cms.bbs.vo.BbsCnVO;
import com.takensoft.cms.contsType.vo.ContsAuthrtVO;
import com.takensoft.common.Pagination;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.List;

/**
 * @author  : 하석형
 * @since   : 2024.05.09
 *
 * 게시판 내용 관련 Mapper
 */
@Mapper("bbsRouterDAO")
public interface BbsRouterDAO {
    /**
     * @author  takensoft
     * @since   2024.05.16
     * 게시판 라우터 정보 호출
     */
    List<ContsAuthrtVO> findByBbsRouterAuthrt();

}