package com.takensoft.cms.bbs.dao;

import com.takensoft.cms.bbs.vo.BbsTypeMngVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.HashMap;
import java.util.List;

/**
 * @author  : 박정하
 * @since   : 2024.05.08
 *
 * 게시판 유형 관리 관련 Mapper
 */
@Mapper("bbsTypeMngDAO")
public interface BbsTypeMngDAO {
    /**
     * @author  박정하
     * @since   2024.05.08
     * 게시판 유형 관리 등록
     */
    public int insertBbsTypeMng(BbsTypeMngVO bbsTypeMngVO) throws Exception;

    /**
     * @author  하석형
     * @since   2024.05.13
     * 게시판 유형 관리 목록 조회
     */
    public List<BbsTypeMngVO> findAll(BbsTypeMngVO bbsTypeMngVO) throws Exception;

    /**
     * @author  하석형
     * @since   2024.05.13
     * 게시판 유형 관리 상세 조회
     */
    public BbsTypeMngVO findByBbsTypeId(String bbsTypeId) throws Exception;
}
