package com.takensoft.cms.bbs.service;

import com.takensoft.cms.bbs.vo.CmntVO;

import java.util.HashMap;
import java.util.List;

/**
 * @author  : 방선주
 * @since   : 2024.05.27
 *
 * 게시판 댓글 관련 Service
 */
public interface CmntService {
    // 댓글 등록
    public HashMap<String, Object> saveCmnt(CmntVO cmntVO) throws Exception;
    // 댓글 목록 조회
    public List<CmntVO> findCmntList(String bbsId) throws Exception;
    // 댓글 업데이트
    public HashMap<String, Object> updateCmnt(CmntVO cmntVO) throws Exception;

    public int deleteCmnt(CmntVO cmntVO) throws Exception;
}
