package com.takensoft.cms.bbs.vo;

import lombok.Data;

/**
 * @author  : 박정하
 * @since   : 2024.05.08
 *
 * 게시판 관리 관련 VO
 */
@Data
public class BbsRouterVO {
    /**
     * 게시판 라우터 아이디
     */
    private String bbsRouterId;
    /**
     * 게시판 관리 아이디
     */
    private String bbsMngId;
    /**
     * 게시판 한글명
     */
    private String bbsKornNm;
    /**
     * 게시판 영문명
     */
    private String bbsEngNm;
    /**
     * 사용자 페이지 경로
     */
    private String pageCrs;
    /**
     * 관리자 페이지 경로
     */
    private String mngrPageCrs;
    /**
     * 컴포넌트 경로
     */
    private String compnCrs;
    /**
     * 노출여부
     * Y : 노출, N : 미노출
     */
    private String expsrYn;
    /**
     * 사용여부
     * Y : 사용, N : 미사용
     */
    private String useYn;
    /**
     * 등록일
     */
    private String regDt;
}