package com.takensoft.cms.cntnStats.service;

import com.takensoft.cms.cntnStats.dto.CntnStatsDTO;
import com.takensoft.cms.popup.vo.PopupVO;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author  : takensoft
 * @since   : 2024.05.23
 *
 * 접속통계 관련 인터페이스
 */
public interface CntnStatsService {

    /**
     * @author  : takensoft
     * @since   : 2024.05.23
     *
     * 접속 통계 등록
     */
    public int cntnStatsSave(CntnStatsDTO cntnStatsDTO) throws Exception;

    /**
     * @author 박정하
     * @since 2024.05.29
     *
     * 사용자 접속 통계
     */
    public HashMap<String, Object> userCntnStatsSelect(HashMap<String, Object> params) throws Exception;

    /**
     * @author 박정하
     * @since 2024.05.30
     *
     * 메뉴별 접속 통계
     */
    public HashMap<String, Object> menuCntnStatsSelect(HashMap<String, Object> params) throws Exception;

    /**
     * @author 박정하
     * @since 2024.05.30
     *
     * 게시판 접속 통계
     */
    public HashMap<String, Object> bbsCntnStatsSelect(HashMap<String, Object> params) throws Exception;
}