package com.takensoft.cms.cntnStats.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * @author  : takensoft
 * @since   : 2024.05.23
 *
 * 접속 통계 관련 VO
 */
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class CntnStatsVO {
    /**
     * 타입 아이디 (게시판/콘텐츠/메뉴)
     */
    private String typeId;
    /**
     * 권한 코드
     */
    private String authrtCd;
    /**
     * 접속 년도
     */
    private String cntnYr;
    /**
     * 접속 월
     */
    private String cntnMm;
    /**
     * 접속 일
     */
    private String cntnDay;
}
