package com.takensoft.cms.main.service;

import java.util.*;

/**
 * @author  : 박정하
 * @since   : 2024.05.29
 *
 * 메인 관련 인터페이스
 */
public interface MainService {
    /**
     * @author takensoft
     * @since 2024.05.27
     *
     * 관리자 메인페이지 통계정보 조회 [ 신규회원 가입자 수, 오늘 방문자 수, 이번달 방문자 수, 총 방문자 수 ]
     */
    public Map<String, Object> selectAdminMain() throws Exception;
    
    /**
     * @author 박정하
     * @since 2024.06.14
     *
     * 관리자 메인페이지 기업상담신청 알람
     */
    public List<HashMap<String, Object>> findAplyToasts() throws Exception;
}