package com.takensoft.cms.prvcInqHstry.dao;

import com.takensoft.cms.popup.vo.PopupVO;
import com.takensoft.cms.prvcInqHstry.vo.PrvcInqHstryVO;
import com.takensoft.common.Pagination;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.List;

/**
 * @author  : 박정하
 * @since   : 2024.05.22
 *
 * 개인정보 조회 이력 관련 Mapper
 */
@Mapper("prvcInqHstryDAO")
public interface PrvcInqHstryDAO {
    /**
     * @author  : 박정하
     * @since   : 2024.05.22
     *
     * 개인정보 조회 이력 등록
     */
    public int insertPrvcInqHstry(PrvcInqHstryVO prvcInqHstryVO) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.05.27
     *
     * 개인정보 조회 이력 목록 갯수
     */
    public int selectPrvcInqHstryListCnt(Pagination pagination) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.05.27
     *
     * 개인정보 조회 이력 목록 조회
     */
    public List<PrvcInqHstryVO> selectPrvcInqHstryList(Pagination pagination) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.05.27
     *
     * 개인정보 조회 이력 상세 조회
     */
    public PrvcInqHstryVO selectPrvcInqHstryDetail(int inqHstryId) throws Exception;
}