package com.takensoft.cms.prvcInqHstry.service;

import com.takensoft.cms.prvcInqHstry.vo.PrvcInqHstryVO;

import javax.servlet.http.HttpServletRequest;
import java.util.HashMap;

/**
 * @author  : 박정하
 * @since   : 2024.05.22
 *
 * 개인정보 조회 이력 관련 인터페이스
 */
public interface PrvcInqHstryService {
    /**
     * @author  : 박정하
     * @since   : 2024.05.22
     *
     * 개인정보 조회 이력 등록
     */
    public int prvcInqHstryInsert(HttpServletRequest request, PrvcInqHstryVO prvcInqHstryVO) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.05.27
     *
     * 개인정보 조회 이력 목록 조회
     */
    public HashMap<String, Object> prvcInqHstryList(HashMap<String, String> params) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.05.27
     *
     * 개인정보 조회 이력 상세 조회
     */
    public PrvcInqHstryVO prvcInqHstryDetail(int inqHstryId) throws Exception;
}