package com.takensoft.common;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class HierachyVO {

    /**
     * 공통으로 사용될 아이디
     */
    private String id;
    /**
     * 공통으로 사용될 상위 아이디
     */
    private String upId;
    /**
     * 공통으로 사용될 이름
     */
    private String nm;
    /**
     * 공통으로 사용될 깊이(레벨)
     */
    private int grd;
    /**
     * 공통으로 사용될 순서
     */
    private int sn;

    /**
     * 공통으로 사용될 자식 객체
     */
    List<HierachyVO> childList = new ArrayList<HierachyVO>();

}
