package com.takensoft.common.excel.service;

import com.takensoft.cms.cntnStats.dto.CntnStatsExcelDTO;
import com.takensoft.portal.entInfo.dto.BplcExcelDTO;
import com.takensoft.portal.entInfo.dto.EntInfoExcelDTO;
import com.takensoft.portal.ivstDscsn.dto.IvstDscsnExcelDTO;
import com.takensoft.portal.rvwMttr.dto.RvwMttrExcelDTO;
import com.takensoft.portal.rvwMttr.dto.RvwMttrPrgrsExcelDTO;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

public interface ExcelService {
    public void ivstDscsnExcelDownload(HttpServletResponse response, IvstDscsnExcelDTO ivstDscsn) throws Exception;
    public void rvwMttrExcelDownload(HttpServletResponse response, RvwMttrExcelDTO rvwMttr, List<RvwMttrPrgrsExcelDTO> prgrsList) throws Exception;
    public void entInfoExcelDownload(HttpServletResponse response, EntInfoExcelDTO entInfo, List<BplcExcelDTO> bplcList) throws Exception;
    public void cntnStatsExcelDownload(HttpServletResponse response, List<CntnStatsExcelDTO> cntnStats, String chart) throws Exception;
    public void entInfoExcelDownloadAll(HttpServletResponse response, List<EntInfoExcelDTO> entInfoList) throws Exception;
}