package com.takensoft.portal.main.service;

import java.util.HashMap;
import java.util.Map;

/**
 * @author  : 박정하
 * @since   : 2024.05.29
 *
 * 메인 관련 인터페이스
 */
public interface GovernmentMainService {
    /**
     * @author 박정하
     * @since 2024.05.29
     *
     * 공무원 메인페이지 통계정보 조회 [ 분류별 통계, 상담신청 통계, 검토사항 통계, 공지사항 최신글, 기업정보 최신글 ]
     */
    public Map<String, Object> selectGovernmentMain(HashMap<String, String> params) throws Exception;
}